summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-12-22 18:30:41 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-12-22 18:30:48 +0100
commitf348c75259048a39b2e8f7496b53627644e6282b (patch)
tree48c1de1463e11718c7ae3377a669ce1f4384da67 /media-libs/libsdl2
parentdev-python/pymongo: x86 stable (bug #761163) (diff)
downloadgentoo-f348c75259048a39b2e8f7496b53627644e6282b.tar.gz
gentoo-f348c75259048a39b2e8f7496b53627644e6282b.tar.bz2
gentoo-f348c75259048a39b2e8f7496b53627644e6282b.zip
media-libs/libsdl2: Bump to version 2.0.14
Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'media-libs/libsdl2')
-rw-r--r--media-libs/libsdl2/Manifest1
-rw-r--r--media-libs/libsdl2/files/libsdl2-2.0.14-static-libs.patch34
-rw-r--r--media-libs/libsdl2/files/libsdl2-2.0.14-vulkan.patch13
-rw-r--r--media-libs/libsdl2/libsdl2-2.0.14.ebuild207
4 files changed, 255 insertions, 0 deletions
diff --git a/media-libs/libsdl2/Manifest b/media-libs/libsdl2/Manifest
index 13e81b9f1b2..fef6b59307f 100644
--- a/media-libs/libsdl2/Manifest
+++ b/media-libs/libsdl2/Manifest
@@ -1 +1,2 @@
DIST SDL2-2.0.12.tar.gz 5720162 BLAKE2B 1e50d2d3060c38faadfc6610e3af7b0e54ce880101f8ca441b84431fb5f683cc6353402025be2eecbb8b9f85bb3982c9aea36e96067a97d079d39f9cd44964a0 SHA512 3f1f04af0f3d9dda9c84a2e9274ae8d83ea0da3fc367970a820036cc4dc1dbf990cfc37e4975ae05f0b45a4ffa739c6c19e470c00bf3f2bce9b8b63717b8b317
+DIST SDL2-2.0.14.tar.gz 6089974 BLAKE2B 5982c66430f8ae62094dbc216781efafd3a07c50efd16bc8307d5048227011d4710d5af1b15be01a55fa6f3ae41eedf9c2df67bafd98042e3b2978a05e7ffd27 SHA512 ebc482585bd565bf3003fbcedd91058b2183e333b9ea566d2f386da0298ff970645d9d25c1aa4459c7c96e9ea839fd1c5f2da0242a56892865b2e456cdd027ee
diff --git a/media-libs/libsdl2/files/libsdl2-2.0.14-static-libs.patch b/media-libs/libsdl2/files/libsdl2-2.0.14-static-libs.patch
new file mode 100644
index 00000000000..01b9c513437
--- /dev/null
+++ b/media-libs/libsdl2/files/libsdl2-2.0.14-static-libs.patch
@@ -0,0 +1,34 @@
+Fix --disable-static.
+
+Bug: https://bugzilla.libsdl.org/show_bug.cgi?id=1431
+
+--- SDL2-2.0.14/configure.ac
++++ SDL2-2.0.14/configure.ac
+@@ -3863,7 +3863,7 @@
+ if test -f /lib/w32api/libuuid.a; then
+ LIBUUID=/lib/w32api/libuuid.a
+ else
+- LIBUUID=-luuid
++ LIBUUID=-Wl,-luuid
+ fi
+ EXTRA_LDFLAGS="$EXTRA_LDFLAGS -luser32 -lgdi32 -lwinmm -limm32 -lole32 -loleaut32 -lshell32 -lsetupapi -lversion $LIBUUID -static-libgcc"
+ # The Windows platform requires special setup
+--- SDL2-2.0.14/Makefile.in
++++ SDL2-2.0.14/Makefile.in
+@@ -151,13 +151,13 @@
+ .PHONY: all update-revision install install-bin install-hdrs install-lib install-data uninstall uninstall-bin uninstall-hdrs uninstall-lib uninstall-data clean distclean dist $(OBJECTS:.lo=.d)
+
+ $(objects)/$(TARGET): $(GEN_HEADERS) $(GEN_OBJECTS) $(OBJECTS) $(VERSION_OBJECTS)
+- $(RUN_CMD_LTLINK)$(LIBTOOL) --tag=CC --mode=link $(CC) -o $@ $(OBJECTS) $(GEN_OBJECTS) $(VERSION_OBJECTS) $(LDFLAGS) $(EXTRA_LDFLAGS) $(LT_LDFLAGS)
++ $(RUN_CMD_LTLINK)$(LIBTOOL) --tag=CC --mode=link $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(EXTRA_LDFLAGS) $(LT_LDFLAGS)
+
+ $(objects)/$(SDLMAIN_TARGET): $(SDLMAIN_OBJECTS)
+- $(RUN_CMD_LTLINK)$(LIBTOOL) --tag=CC --mode=link $(CC) -static -o $@ $(SDLMAIN_OBJECTS) -rpath $(libdir)
++ $(RUN_CMD_LTLINK)$(LIBTOOL) --tag=CC --mode=link $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(EXTRA_LDFLAGS) $(LT_LDFLAGS) -all-static
+
+ $(objects)/$(SDLTEST_TARGET): $(SDLTEST_OBJECTS)
+- $(RUN_CMD_LTLINK)$(LIBTOOL) --tag=CC --mode=link $(CC) -static -o $@ $(SDLTEST_OBJECTS) -rpath $(libdir)
++ $(RUN_CMD_LTLINK)$(LIBTOOL) --tag=CC --mode=link $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS) $(EXTRA_LDFLAGS) $(LT_LDFLAGS) -all-static
+
+ install: all install-bin install-hdrs install-lib install-data
+ install-bin:
diff --git a/media-libs/libsdl2/files/libsdl2-2.0.14-vulkan.patch b/media-libs/libsdl2/files/libsdl2-2.0.14-vulkan.patch
new file mode 100644
index 00000000000..948f68fe234
--- /dev/null
+++ b/media-libs/libsdl2/files/libsdl2-2.0.14-vulkan.patch
@@ -0,0 +1,13 @@
+--- SDL2-2.0.14/src/video/SDL_vulkan_utils.c
++++ SDL2-2.0.14/src/video/SDL_vulkan_utils.c
+@@ -91,8 +91,10 @@
+ return "VK_ERROR_VALIDATION_FAILED_EXT";
+ case VK_ERROR_INVALID_SHADER_NV:
+ return "VK_ERROR_INVALID_SHADER_NV";
++#if VK_HEADER_VERSION < 162
+ case VK_ERROR_INCOMPATIBLE_VERSION_KHR:
+ return "VK_ERROR_INCOMPATIBLE_VERSION_KHR";
++#endif
+ case VK_ERROR_INVALID_DRM_FORMAT_MODIFIER_PLANE_LAYOUT_EXT:
+ return "VK_ERROR_INVALID_DRM_FORMAT_MODIFIER_PLANE_LAYOUT_EXT";
+ case VK_ERROR_NOT_PERMITTED_EXT:
diff --git a/media-libs/libsdl2/libsdl2-2.0.14.ebuild b/media-libs/libsdl2/libsdl2-2.0.14.ebuild
new file mode 100644
index 00000000000..4002370c79e
--- /dev/null
+++ b/media-libs/libsdl2/libsdl2-2.0.14.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic toolchain-funcs multilib-minimal
+
+MY_P="SDL2-${PV}"
+DESCRIPTION="Simple Direct Media Layer"
+HOMEPAGE="https://www.libsdl.org/"
+SRC_URI="https://www.libsdl.org/release/${MY_P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE="alsa aqua cpu_flags_ppc_altivec cpu_flags_x86_3dnow cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 custom-cflags dbus fcitx4 gles2 haptic ibus jack +joystick kms libsamplerate nas opengl oss pulseaudio +sound static-libs +threads udev +video video_cards_vc4 vulkan wayland X xinerama xscreensaver"
+REQUIRED_USE="
+ alsa? ( sound )
+ fcitx4? ( dbus )
+ gles2? ( video )
+ ibus? ( dbus )
+ jack? ( sound )
+ nas? ( sound )
+ opengl? ( video )
+ pulseaudio? ( sound )
+ vulkan? ( video )
+ wayland? ( gles2 )
+ xinerama? ( X )
+ xscreensaver? ( X )"
+
+CDEPEND="
+ alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
+ dbus? ( >=sys-apps/dbus-1.6.18-r1[${MULTILIB_USEDEP}] )
+ fcitx4? ( app-i18n/fcitx:4 )
+ gles2? ( >=media-libs/mesa-9.1.6[${MULTILIB_USEDEP},gles2] )
+ ibus? ( app-i18n/ibus )
+ jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+ kms? (
+ >=x11-libs/libdrm-2.4.82[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.0.0[${MULTILIB_USEDEP},gbm]
+ )
+ libsamplerate? ( media-libs/libsamplerate[${MULTILIB_USEDEP}] )
+ nas? (
+ >=media-libs/nas-1.9.4[${MULTILIB_USEDEP}]
+ >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]
+ )
+ opengl? (
+ >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]
+ >=virtual/glu-9.0-r1[${MULTILIB_USEDEP}]
+ )
+ pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[${MULTILIB_USEDEP}] )
+ udev? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP}] )
+ wayland? (
+ >=dev-libs/wayland-1.0.6[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.1.6[${MULTILIB_USEDEP},egl,gles2,wayland]
+ >=x11-libs/libxkbcommon-0.2.0[${MULTILIB_USEDEP}]
+ )
+ X? (
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXcursor-1.1.14[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXi-1.7.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrandr-1.4.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXxf86vm-1.1.3[${MULTILIB_USEDEP}]
+ xinerama? ( >=x11-libs/libXinerama-1.1.3[${MULTILIB_USEDEP}] )
+ xscreensaver? ( >=x11-libs/libXScrnSaver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ )"
+RDEPEND="${CDEPEND}
+ vulkan? ( media-libs/vulkan-loader )"
+DEPEND="${CDEPEND}
+ ibus? ( dev-libs/glib:2[${MULTILIB_USEDEP}] )
+ vulkan? ( dev-util/vulkan-headers )
+ X? ( x11-base/xorg-proto )
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/SDL2/SDL_config.h
+ /usr/include/SDL2/SDL_platform.h
+ /usr/include/SDL2/begin_code.h
+ /usr/include/SDL2/close_code.h
+)
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.0.14-static-libs.patch
+ "${FILESDIR}"/${PN}-2.0.14-vulkan.patch
+)
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ default
+
+ # Unbundle some headers.
+ rm -r src/video/khronos || die
+ ln -s "${ESYSROOT}/usr/include" src/video/khronos || die
+
+ AT_M4DIR="/usr/share/aclocal acinclude" eautoreconf
+
+ # libsdl2-2.0.14 build regression. Please check if still needed
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ use custom-cflags || strip-flags
+
+ # libsdl2-2.0.14 build regression. Please check if still needed
+ append-flags -D__LINUX__
+
+ if use ibus; then
+ local -x IBUS_CFLAGS="-I${ESYSROOT}/usr/include/ibus-1.0 -I${ESYSROOT}/usr/include/glib-2.0 -I${ESYSROOT}/usr/$(get_libdir)/glib-2.0/include"
+ fi
+
+ # sorted by `./configure --help`
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ --enable-atomic
+ $(use_enable sound audio)
+ $(use_enable video)
+ --enable-render
+ --enable-events
+ $(use_enable joystick)
+ $(use_enable haptic)
+ --enable-power
+ --enable-filesystem
+ $(use_enable threads)
+ --enable-timers
+ --enable-file
+ --enable-loadso
+ --enable-cpuinfo
+ --enable-assembly
+ $(use_enable cpu_flags_ppc_altivec altivec)
+ $(use_enable cpu_flags_x86_sse ssemath)
+ $(use_enable cpu_flags_x86_mmx mmx)
+ $(use_enable cpu_flags_x86_3dnow 3dnow)
+ $(use_enable cpu_flags_x86_sse sse)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable oss)
+ $(use_enable alsa)
+ --disable-alsa-shared
+ $(use_enable jack)
+ --disable-jack-shared
+ --disable-esd
+ $(use_enable pulseaudio)
+ --disable-pulseaudio-shared
+ --disable-arts
+ $(use_enable libsamplerate)
+ $(use_enable nas)
+ --disable-nas-shared
+ --disable-sndio
+ --disable-sndio-shared
+ $(use_enable sound diskaudio)
+ $(use_enable sound dummyaudio)
+ $(use_enable wayland video-wayland)
+ --disable-wayland-shared
+ $(use_enable video_cards_vc4 video-rpi)
+ $(use_enable X video-x11)
+ --disable-x11-shared
+ $(use_enable X video-x11-xcursor)
+ $(use_enable X video-x11-xdbe)
+ $(use_enable xinerama video-x11-xinerama)
+ $(use_enable X video-x11-xinput)
+ $(use_enable X video-x11-xrandr)
+ $(use_enable xscreensaver video-x11-scrnsaver)
+ $(use_enable X video-x11-xshape)
+ $(use_enable X video-x11-vm)
+ $(use_enable aqua video-cocoa)
+ --disable-video-directfb
+ --disable-fusionsound
+ --disable-fusionsound-shared
+ $(use_enable kms video-kmsdrm)
+ --disable-kmsdrm-shared
+ $(use_enable video video-dummy)
+ $(use_enable opengl video-opengl)
+ --disable-video-opengles1
+ $(use_enable gles2 video-opengles2)
+ $(use_enable vulkan video-vulkan)
+ $(use_enable udev libudev)
+ $(use_enable dbus)
+ $(use_enable fcitx4 fcitx)
+ $(use_enable ibus)
+ --disable-directx
+ --disable-rpath
+ --disable-render-d3d
+ $(use_with X x)
+ )
+
+ #ECONF_SOURCE="${S}"
+ econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake V=1
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+ # Do not delete the static .a libraries here as some are
+ # mandatory. They may be needed even when linking dynamically.
+ find "${ED}" -type f -name "*.la" -delete || die
+ dodoc {BUGS,CREDITS,README,README-SDL,TODO,WhatsNew}.txt docs/README*.md
+}